<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package digicrew
 */

get_header();
$project_cpt_service_Font_Icon_Value= get_post_meta( $post->ID, '_digicrew_sidebar_layout', true );
?>
	<?php digicrew_page_title_layout();?>
	<section class="same-section-spacing single-blog page-box" id="content">
	    <div class="container">
	    	<div class="row">

    <?php if ( is_active_sidebar( 'sidebar' ) &&  $project_cpt_service_Font_Icon_Value === "left-sidebar") : ?>
	     <!-- Side-bar -->
		<div class="col-lg-4 col-md-12">
        <?php dynamic_sidebar( 'sidebar' ); ?>
		</div>
		<div class="col-lg-8 col-md-12">
	            	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
	                	<?php 
							the_content();
							wp_link_pages( 
								array(
									'before'    => '<nav><ul class="pagination custom-nav">',
									'after'     => '</ul></nav>',
									'separator' => ' ',
								) 
							);
							?>
	                <?php endwhile; endif; ?>
	            </div>
    <?php else : ?> 
    <?php endif; ?>


 <?php if ( is_active_sidebar( 'sidebar' ) &&  $project_cpt_service_Font_Icon_Value === "right-sidebar") : ?>
		    	<div class="col-lg-8 col-md-12">
					<?php
					while ( have_posts() ) : the_post(); ?>
						
							<?php 
							the_content();
							wp_link_pages( 
								array(
									'before'    => '<nav><ul class="pagination custom-nav">',
									'after'     => '</ul></nav>',
									'separator' => ' ',
								) 
							);
							?>
						
						<?php 
						if ( comments_open() || get_comments_number() ) { ?>
							<?php comments_template();?>
						<?php } 
					endwhile; // End of the loop.
					?>	
				</div>
				
		        <div class="col-lg-4 col-md-12">
		            <?php get_sidebar(); ?>  
		        </div>
		       <?php endif;?>


 <?php if ($project_cpt_service_Font_Icon_Value == null) : ?>
		    	<div class="col-lg-8 col-md-12">
					<?php
					while ( have_posts() ) : the_post(); ?>
						
							<?php 
							the_content();
							wp_link_pages( 
								array(
									'before'    => '<nav><ul class="pagination custom-nav">',
									'after'     => '</ul></nav>',
									'separator' => ' ',
								) 
							);
							?>
						
						<?php 
						if ( comments_open() || get_comments_number() ) { ?>
							<?php comments_template();?>
						<?php } 
					endwhile; // End of the loop.
					?>	
				</div>
				
		        <div class="col-lg-4 col-md-12">
		            <?php get_sidebar(); ?>  
		        </div>
		       <?php endif;?>


 <?php if ( is_active_sidebar( 'sidebar' ) &&  $project_cpt_service_Font_Icon_Value === "no-sidebar") : ?>
	              <div class="col-lg-12 col-md-12">
			      <?php  if (have_posts()) : while (have_posts()) : the_post(); ?>
	                	<?php 
							the_content();
							wp_link_pages( 
								array(
									'before'    => '<nav><ul class="pagination custom-nav">',
									'after'     => '</ul></nav>',
									'separator' => ' ',
								) 
							);
							?>
	                    <?php endwhile; endif;  ?>
	            </div> 
    <?php else : ?>
        
    <?php endif; ?>
			   
	    	</div>
	    </div>
	</section>
<?php get_footer(); ?>